Prerequisites
1
Step 1
Sign up for a Razorpay account.
2
Step 2
Generate API Keys from the Dashboard.
3
Step 3
Integrate Razorpay Custom Checkout on your website, Android app or iOS App.
Integrate Sofort on Custom Checkout
- Create an Order.
- Pass
methodandproviderparameters in Create Payment Method.
Create an Order
Order is an important step in the payment process.1
Step 1
An order should be created for every payment.
2
Step 2
You can create an order using the Orders API. It is a server-side API call. Know how to authenticate Orders API.
3
Step 3
Pass the
order_id received in response to the checkout. This ties the Order with the payment and secures the request from being tampered.API Sample Code
The following is a sample API request and response for creating an order:Curl
Request Parameters
Here is the list of parameters and their description for creating an order:amount mandatory
: integer The transaction amount, expressed in the currency subunit. For example, for an actual amount of 299.35 , the value of this field should be 29935.
currency mandatory
: string The currency in which the transaction should be made. See the list of supported currencies. Length must be 3 characters.
receipt optional
: string Your receipt id for this order should be passed here. Maximum length is 40 characters.
notes optional
: json object Key-value pair that can be used to store additional information about the entity. Maximum 15 key-value pairs, 256 characters (maximum) each. For example, "note_key": "Beam me up Scotty”.
partial_payment optional
: boolean Indicates whether the customer can make a partial payment. Possible values:
true: The customer can make partial payments.false(default): The customer cannot make partial payments.
id mandatory
: string Unique identifier of the customer. For example, cust_1Aa00000000004.
Know more about Orders API.
Error Response Parameters
The error response parameters are available in the API Reference Guide.Pass method and provider Parameters During Payment Creation
The following is a sample API to create a payment.Sofort
Response
Request Parameters
Along with the other checkout options, you must pass:method mandatory
: string The method used to make the payment. Here, it should be app.
provider mandatory if method=app
: string Name of the PSP app. Here, it should be sofort.